%define alpharel alpha9

Summary:	A GUI program for burning CDs
Name:		xcdroast
Version:	0.98
Release:	11mdk
Epoch:		9
URL:		http://www.xcdroast.org

Source:		http://www.fh-muenchen.de/rz/xcdroast/src/%{name}-%{version}%{alpharel}.tar.bz2
# icon
Source3:	xcdroast.xpm.bz2
# Remove alpha version warning message
Patch:		xcdroast-nonroot-rh.patch.bz2
# Remove version-checking for backend programs
Patch1:		xcdroast-0.98alpha6-nochecks.patch.bz2

License:	GPL
Group:		Archiving/Cd burning
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires: 	cdrecord >= 1.10 cdrecord-cdda2wav >= 1.10 mkisofs >= 1.13-3mdk
BuildRequires:	gtk+-devel imlib-devel

%description
Graphical frontend for the CD-recording program cdrecord.

Features:
     Self-explanatory X11 user interface. 
     Automatic SCSI-hardware setup 
     Copies of ISO9660-CDs, some non-ISO9660-CDs, and audio CDs
     Production of new ISO9660 data CDs ("mastering")
     Production of new audio CDs
     Fast copying of CDs without hardisk buffering 
     Logfile option
     User interface in more than 10 languages

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}%{alpharel}

%setup -n %{name}-%{version}%{alpharel}
bzcat %{SOURCE3} > $RPM_BUILD_DIR/%{name}-%{version}%{alpharel}/xcdroast.xpm

# Replace all hard-coded "xcdrgtk" by "xcdroast"
for i in `find . -type f -name '*' -print` ; do sed "s/xcdrgtk/xcdroast/" $i > $i.XXX; chmod --reference=$i $i.XXX; mv -f $i.XXX $i; done
for i in `find . -type f -name '*' -print` ; do sed "s!/usr/local!/usr!" $i > $i.XXX; chmod --reference=$i $i.XXX; mv -f $i.XXX $i; done

%build

%make

%install
rm -fr %buildroot

export DESTDIR=$RPM_BUILD_ROOT; %makeinstall

mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat > $RPM_BUILD_ROOT%{_libdir}/menu/xcdroast <<EOF
?package(xcdroast): command="xcdroast" needs="X11" \
icon="cd_burning_section.xpm" section="Applications/Archiving/Cd burning" title="X-CD-Roast" \
longtitle="X-CD-Roast"
EOF

%post 
%update_menus
grep -q cdwriter /etc/group || groupadd cdwriter

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG DOCUMENTATION FAQ README TRANSLATION.HOWTO
%doc lib/lang/lang_extract.sh
%{_bindir}/xcdroast
%dir %{_libdir}/xcdroast-0.98
%dir %{_libdir}/xcdroast-0.98/bin
%attr(2755,root,cdwriter) %{_libdir}/xcdroast-0.98/bin/xcdrwrap
%{_libdir}/xcdroast-0.98/bin/[a-w]*
%{_libdir}/xcdroast-0.98/icons
%{_libdir}/xcdroast-0.98/lang
%{_libdir}/xcdroast-0.98/sound
%{_libdir}/menu/xcdroast

%changelog
* Tue Sep 11 2001 David BAUDENS <baudens@mandrakesoft.com> 0.98-10mdk
- Use new icons
- Use right macros for update/clean_menus

* Tue Sep 11 2001 Stefan van der Eijk <stefan@eijk.nu> 0.98-10mdk
- BuildRequires: gtk+-devel imlib-devel
- Copyright --> License

* Tue Aug  7 2001 Till Kamppeter <till@mandrakesoft.com> 0.98-9mdk
- Updated to version 0.98alpha9.

* Fri Jun  7 2001 Till Kamppeter <till@mandrakesoft.com> 0.98-8mdk
- Downdated to version 0.98alpha6 (non-root-mode introduced in 0.98alpha7
  does not work with GTK 1.2.9, 0.98alpha6 can simply be started as normal
  user when backends have correct permissions)
- Enabled usage by non-root users via non-root mode of X-CD-Roast
- Enabled usage with cdrecord > 1.9

* Fri Mar 30 2001 Till Kamppeter <till@mandrakesoft.com> 0.98-7mdk
- Replaced translation update file by the current one

* Tue Feb  6 2001 Daouda Lo <daouda@mandrakesoft.com> 0.98-6mdk
- release alpha 8
- regenerate patch

* Mon Jan 29 2001  Daouda Lo <daouda@mandrakesoft.com> 0.98-5mdk
- really fix xcdroast requiring cdrtools 1.9 .

* Fri Jan 26 2001  Daouda Lo <daouda@mandrakesoft.com> 0.98-4mdk
- fix  requires (thanx Ed) 

* Fri Jan 26 2001  Daouda Lo <daouda@mandrakesoft.com> 0.98-3mdk
- fix dependencies with cdrecord (thanx Quel Qun)
- fix standard dir owned by packages 

* Thu Oct 05 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.98-2mdk
- All icons size.
- Icons now work.

* Sun Sep  3 2000 Till Kamppeter <till@mandrakesoft.com> 0.98-1mdk
- Old ChangeLog removed becasue structure of specfile is completely new
- Complete replacement by the new GTK-based X-CD-Roast 0.98
- initial release
